Coordinación de Seguridad de la Información

Coordinación de Seguridad de la Información

Información y servicios de seguridad en cómputo

1 2 3 4 5 6 7

Vulnerabilidades rss pdf

Coordinación de Seguridad de la Información - UNAM-CERT -- DGTIC-UNAM

Vulnerabilidad de Seguridad UNAM-CERT-2005-579 Vulnerabilidades en los servicios IMAP y SMTP de IMail Server de Ipswitch.

Se reportarón dos vulnerabilidades en IMail Server, que pueden explotarse para ocasionar una negación de servicio (DoS) y comprometer un sistema vulnerable.

  • Fecha de Liberación: 7-Dic-2005
  • Ultima Revisión: 7-Dic-2005
  • Fuente:

    iDefense Security Advisory
    346
    347

  • CVE ID: CAN-2005-2923 CAN-2005-2931
  • Riesgo Altamente crítico
  • Problema de Vulnerabilidad Remoto
  • Tipo de Vulnerabilidad Formato de cadena

Sistemas Afectados

IMail Server 8.20
Ipswitch Collaboration Suite 2.0
  1. Descripción

    Se reportarón dos vulnerabilidades en IMail Server, que pueden explotarse por personas maliciosas para ocasionar una negación de servicio (DoS) y comprometer un sistema vulnerable.

    1. Existe un error de formato de cadena en el servicio SMTPD32 cuando analiza los argumentos proporcionados a los comandos "expn", "mail", "mail from", y "rcpt to". Esto puede explotarse para ejecutar código arbitrario via argumentos malicosos enviados a los comandos afectados.

    2. Existe un error en el servicio IMAP32 cuando maneja argumentos proporcionados por el usuario que se pasan al comando IMAP LIST. Esto puede explotarse por un usuario para ocasionar una desreferencia en la memoria, lo que ocasionara la caida del servicio, lo anterior se logra al pasar un argumento cercano a 8000 bytes al comando.

    Las vulnerabilidades se reportaron en la versión 8.20 de IMail Server. Otras versiones anteriores a la 8.22 también podrían ser afectadas.

    Nota:
    IMail Server es parte de Ipswitch Collaboration Suite.

  2. Impacto

    Negación de Servicio (DoS).

    Acceso al sistema.

  3. Solución

    Actualizar a las versiones corregidas.

    IMail Server 8.20:
    Actualizar a la versión 8.22.
    http://www.ipswitch.com/support/imail/releases/imail_professional/im822.asp

    Ipswitch Collaboration Suite 2.0:
    Actualizar a la versión 2.02.
    http://www.ipswitch.com/support/ics/updates/ics202.asp

  4. Apéndices

    http://www.idefense.com/application/poi/display?id=346&type=vulnerabilities
    http://www.idefense.com/application/poi/display?id=347&type=vulnerabilities

La Coordinación de Seguridad de la Información/UNAM-CERT agradece el apoyo en la elaboración ó traducción y revisión de éste Documento a:

  • Floriberto López Velázquez (flopez at seguridad dot unam dot mx)

UNAM-CERT
Equipo de Respuesta a Incidentes UNAM
Coordinación de Seguridad de la Información

incidentes at seguridad.unam.mx
phishing at seguridad.unam.mx
http://www.cert.org.mx
http://www.seguridad.unam.mx
ftp://ftp.seguridad.unam.mx
Tel: 56 22 81 69
Fax: 56 22 80 47


Universidad Nacional Autonoma de México AENOR LOGO FIRST LOGO Aviso legal |  Créditos |  Staff |  Acerca |  Contacto |  FTP |  Administración
Copyright © Todos los derechos reservados
UNAM - CERT